Repository 32bit  Forum
Repository 64bit  Wiki

Gwibber su slackware

Se avete problemi con l'installazione e la configurazione di Slackware64 postate qui. Non usate questo forum per argomenti che trattano la Slackware32 o generali... per quelli usate rispettivamente il forum Slackware e Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware64 usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware64, se l'argomento è Slackware32 o generale usate rispettivamente il forum Slackware o Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Gwibber su slackware

Messaggioda theodallago » sab mag 14, 2011 17:07

È possibile installare gwibber su slackware?
Ho provato ad installarlo ma quando dal terminale digito gwibber ecco cosa ricevo:

Codice: Seleziona tutto
Traceback (most recent call last):
  File "/usr/bin/gwibber", line 10, in <module>
    import sys, gtk, optparse, dbus, wnck, time
  File "/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py", line 45, in <module>
    from gtk.deprecation import _Deprecated, _DeprecatedConstant
  File "/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/deprecation.py", line 26, in <module>
    from gtk._gtk import DeprecationWarning
ImportError: /usr/lib64/python2.6/site-packages/gtk-2.0/gtk/_gtk.so: undefined symbol: gdk_image_get_height
Avatar utente
theodallago
Linux 1.0
Linux 1.0
 
Messaggi: 59
Iscritto il: ven lug 02, 2010 14:55
Nome Cognome: theo
Slackware: 13.37
Kernel: 2.6.33.4
Desktop: KDE
Distribuzione: Sabayon, OpenSUSE

Re: Gwibber su slackware

Messaggioda brainvision » sab mag 14, 2011 20:25

prova con questo slackbuild: http://slackbuilds.org/repository/13.37 ... k/gwibber/
occhio a tutte le dipendenze, naturalmente..

Buona fortuna!! :D

theodallago ha scritto:È possibile installare gwibber su slackware?
Ho provato ad installarlo ma quando dal terminale digito gwibber ecco cosa ricevo:

Codice: Seleziona tutto
Traceback (most recent call last):
  File "/usr/bin/gwibber", line 10, in <module>
    import sys, gtk, optparse, dbus, wnck, time
  File "/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py", line 45, in <module>
    from gtk.deprecation import _Deprecated, _DeprecatedConstant
  File "/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/deprecation.py", line 26, in <module>
    from gtk._gtk import DeprecationWarning
ImportError: /usr/lib64/python2.6/site-packages/gtk-2.0/gtk/_gtk.so: undefined symbol: gdk_image_get_height
Avatar utente
brainvision
Packager
Packager
 
Messaggi: 756
Iscritto il: ven dic 26, 2008 18:23
Località: bologna (bo)
Nome Cognome: Leonardo Totaro
Slackware: x86_64-current
Kernel: 3.7.1
Desktop: xfce 4.10

Re: Gwibber su slackware

Messaggioda theodallago » sab mag 14, 2011 22:07

Grazie per la risposta.
Ho installato tutte queste dipendenze: pysetuptools, gnome-python, pywebkitgtk, simplejson, egenix-mx-base, python-distutils-extra, feedparser, pyxdg, Mako. Questo è il risultato:

Codice: Seleziona tutto
Traceback (most recent call last):
  File "/usr/bin/gwibber", line 10, in <module>
    import sys, logging, gtk, optparse
  File "/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py", line 74, in <module>
    gdk.INPUT_READ      = _gobject.IO_IN | _gobject.IO_HUP | _gobject.IO_ERR
NameError: name 'gdk' is not defined
Avatar utente
theodallago
Linux 1.0
Linux 1.0
 
Messaggi: 59
Iscritto il: ven lug 02, 2010 14:55
Nome Cognome: theo
Slackware: 13.37
Kernel: 2.6.33.4
Desktop: KDE
Distribuzione: Sabayon, OpenSUSE

Re: Gwibber su slackware

Messaggioda brainvision » sab mag 14, 2011 23:02

mmm.. guarda non saprei, l'unica cosa che mi viene in mente ora è chioederti se hai installato anche le dipendenze delle dipendenze.. immagino lo avrai fatto, ma non si può mai sapere..

theodallago ha scritto:Grazie per la risposta.
Ho installato tutte queste dipendenze: pysetuptools, gnome-python, pywebkitgtk, simplejson, egenix-mx-base, python-distutils-extra, feedparser, pyxdg, Mako. Questo è il risultato:

Codice: Seleziona tutto
Traceback (most recent call last):
  File "/usr/bin/gwibber", line 10, in <module>
    import sys, logging, gtk, optparse
  File "/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/__init__.py", line 74, in <module>
    gdk.INPUT_READ      = _gobject.IO_IN | _gobject.IO_HUP | _gobject.IO_ERR
NameError: name 'gdk' is not defined
Avatar utente
brainvision
Packager
Packager
 
Messaggi: 756
Iscritto il: ven dic 26, 2008 18:23
Località: bologna (bo)
Nome Cognome: Leonardo Totaro
Slackware: x86_64-current
Kernel: 3.7.1
Desktop: xfce 4.10

Re: Gwibber su slackware

Messaggioda theodallago » dom mag 15, 2011 10:00

si le ho installate. Ho ricontrollato ma il problema persiste.
Sto pensando invece di cambiare software. Ne esiste un'altro molto simile, con tutte le caratteristiche di Gwibber?
Avatar utente
theodallago
Linux 1.0
Linux 1.0
 
Messaggi: 59
Iscritto il: ven lug 02, 2010 14:55
Nome Cognome: theo
Slackware: 13.37
Kernel: 2.6.33.4
Desktop: KDE
Distribuzione: Sabayon, OpenSUSE

Re: Gwibber su slackware

Messaggioda brainvision » dom mag 15, 2011 10:37

theodallago ha scritto:si le ho installate. Ho ricontrollato ma il problema persiste.
Sto pensando invece di cambiare software. Ne esiste un'altro molto simile, con tutte le caratteristiche di Gwibber?


io ho usato pino per un po'..
la versione scaricata da qui http://code.google.com/p/pino-twitter/ - la 0.2.11 funzionava bene su Slackware 13.1 e permetteva di usare twitter e identi.ca (o gli altri statusnet server)
mentre invece la nuova versione 0.3 - http://pino-app.appspot.com/ - credo sia ancora beta e soprattutto non compilava per via della versione aggiornata delle gtk che richiedeva. Ora sto provando a compilarlo sulla 13.37, giusto per sfizio.. magari ti aggiorno..
Avatar utente
brainvision
Packager
Packager
 
Messaggi: 756
Iscritto il: ven dic 26, 2008 18:23
Località: bologna (bo)
Nome Cognome: Leonardo Totaro
Slackware: x86_64-current
Kernel: 3.7.1
Desktop: xfce 4.10

Re: Gwibber su slackware

Messaggioda theodallago » lun mag 16, 2011 10:32

ho notato che lo stesso errore lo ho quando dalla console di python faccio
Codice: Seleziona tutto
import gtk

allora ho pensato di reinstallare pygtk ma l'errore persiste
Avatar utente
theodallago
Linux 1.0
Linux 1.0
 
Messaggi: 59
Iscritto il: ven lug 02, 2010 14:55
Nome Cognome: theo
Slackware: 13.37
Kernel: 2.6.33.4
Desktop: KDE
Distribuzione: Sabayon, OpenSUSE

Re: Gwibber su slackware

Messaggioda theodallago » lun mag 16, 2011 14:05

ed ho lo stesso errore quando lancio blueman-manager. Probabilmente un pacchetto corrotto... ma quale??? :banghead:
Avatar utente
theodallago
Linux 1.0
Linux 1.0
 
Messaggi: 59
Iscritto il: ven lug 02, 2010 14:55
Nome Cognome: theo
Slackware: 13.37
Kernel: 2.6.33.4
Desktop: KDE
Distribuzione: Sabayon, OpenSUSE


Torna a Slackware64

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti